<?xml version="1.0" encoding="utf-8"?>
<layer-list xmlns:android="http://schemas.android.com/apk/res/android">
    <!-- 背景 -->
    <item>
        <shape android:shape="rectangle">
            <solid android:color="@android:color/transparent" />
        </shape>
    </item>
    <!-- 左侧透明边框 -->
    <item android:left="-2dp" android:right="2dp"> <!-- 注意这里的偏移量 -->
        <shape android:shape="rectangle">
            <solid android:color="@android:color/transparent" />
            <stroke android:width="2dp" android:color="#FF0000" android:dashGap="0dp" android:dashWidth="0dp"/>
        </shape>
    </item>
    <!-- 右侧透明边框 -->
    <item android:left="2dp" android:right="-2dp"> <!-- 注意这里的偏移量 -->
        <shape android:shape="rectangle">
            <solid android:color="@android:color/transparent" />
            <stroke android:width="2dp" android:color="#FF0000" android:dashGap="0dp" android:dashWidth="0dp"/>
        </shape>
    </item>
    <!-- 顶部和底部实色边框 -->
    <item>
        <shape android:shape="rectangle">
            <solid android:color="@android:color/transparent" /> <!-- 背景透明 -->
            <stroke android:width="2dp" android:color="#FF0000"/> <!-- 边框颜色 -->
        </shape>
    </item>
</layer-list>
